Bug 50864 - Internal error
Internal error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-03 21:03 EDT by Doug Oliver
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 15:40:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Oliver 2001-08-03 21:03:03 EDT
Description of Problem:

Received the following error during the Post install procedure

Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in __call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 2004, in
doInstall
    import xmouse
ImportError: libXext.so.6: cannot load shared object file: Input/output error

Local variables in innermost frame:
arch: i386
total: 455
pkgTimer: <timer.Timer instance at 9984878>
w: <text.ProgressWindow instance at 8aa8a78>
logname: /tmp/install.log
i: /etc/X11
how: i
syslog: <todo.InstSyslog instance at 98f30a0>
l: [ghostscript-fonts, glibc-common, gnome-audio, indexhtml, mailcap,
redhat-logos, redhat-release, setup, filesystem, basesystem, glibc,
statserial, termcap, tamago, gsm-devel, kudzu-devel, man-pages,
openssl-devel, pciutils-devel, pump-devel, awesfx, bdflush, cdda2wav,
cdparanoia, cdrecord, chkconfig, compat-libstdc++, cracklib, db1, db2, db3,
dip, dosfstools, e2fsprogs, eject, file, finger, fortune-mod, gdbm, glib,
gmp, hdparm, inews, iputils, ksymoops, libjpeg, libogg, libtermcap,
libtool-libs, losetup, lrzsz, mailx, mingetty, mkisofs, mktemp, bash,
audiofile, bzip2, esound, hotplug, libstdc++, arts, groff, MAKEDEV,
modutils, mpage, mpg123, ncurses, cdp, info, cpio, diffutils, ed,
fileutils, at, findutils, gawk, gettext, grep, ash, dhcpcd, gzip, less, m4,
make, man, mikmod, minicom, ncftp, net-tools, netpbm, nkf, nmh, openssl,
bind-utils, ORBit, perl, groff-perl, playmidi, pnm2ppa, popt, logrotate,
procmail, procps, psmisc, pspell, aspell, psutils, pwdb, raidtools, rdate,
readline, ftp, rmt, rootfiles, rsh, rusers, rwho, sed, console-tools,
sendmail-cf, setserial, shadow-utils, dev, nscd, sharutils, slang, newt,
kbdconfig, ntsysv, setuptool, slocate, slrn, sox, sysklogd, syslinux, talk,
tar, tcl, tcp_wrappers, tcsh, metamail, elm, telnet, textutils, mount,
mkinitrd, lilo, mkbootdisk, mouseconfig, switchdesk, time, tmpwatch,
crontabs, traceroute, utempter, vim-common, vim-minimal, vorbis, wget,
which, whois, words, cracklib-dicts, pam, authconfig, cyrus-sasl, gpm,
kudzu, links, passwd, ppp, sh-utils, a2ps, freetype, krb5-libs, krbafs,
LPRng, openldap, autofs, nss_ldap, openldap-clients, pam_krb5, pine,
sendmail, fetchmail, SysVinit, wvdial, XFree86-libs, gtk+, control-panel,
libungif, multimedia, playmidi-X11, rxvt, SDL, smpeg, tk, exmh, expect,
tclx, timetool, tix, tksysv, Xaw3d, zlib, gnupg, libmng, libpng, libtiff,
ImageMagick, libxml, lynx, mozilla, mozilla-mail, mozilla-psm,
netpbm-progs, imlib, gnome-libs, gdk-pixbuf, gimp, gphoto, libglade,
locale_config, pan, pygtk-libglade, pygnome-libglade, python, 4Suite,
alchemist, pygtk, pygnome, python-xmlrpc, pythonlib, modemtool, rpm,
rpm-python, rhn_register, sane, timidity++, tkinter, up2date, urlview,
mutt, util-linux, initscripts, kernel-headers, apmd, aumix, devfsd,
ipchains, iptables, isdn4k-utils, kernel, lokkit, netcfg, openssh,
openssh-askpass, openssh-clients, pciutils, pidentd, portmap, nfs-utils,
pump, quota, rp-pppoe, sndconfig, timeconfig, usermode, rhn_register-gnome,
up2date-gnome, vixie-cron, anacron, xcdroast, XFree86-xfs, chkfontpath,
netscape-common, netscape-communicator, urw-fonts, XFree86, Mesa, mkxauth,
qt, internet-config, Xconfigurator, XFree86-100dpi-fonts,
XFree86-75dpi-fonts, XFree86-tools, XFree86-twm, xinitrc, XFree86-xdm,
xisdnload, xloadimage, plugger, xmms, xsane, xscreensaver, xsri, xtt-fonts,
VFlib2, ghostscript, gv, printconf, printconf-gui, ypbind, yp-tools,
autorun, htdig, htmlview, firewall-config, kdesupport, kdelibs, kdeadmin,
kdelibs-sound, kdemultimedia, kdenetwork, kdenetwork-ppp, koffice,
kpppload, lm_sensors, kdebase, pilot-link, kdepim, switchdesk-kde, unzip,
zip, kdeutils, dos2unix, mtools, samba-common, samba-client, unix2dos,
xmorph, xpaint, cpp, expat, gd, dialog, sgml-common, docbook-dtd30-sgml,
docbook-dtd31-sgml, docbook-dtd40-sgml, docbook-dtd41-sgml, openjade,
docbook-style-dsssl, perl-SGMLSpm, docbook-utils, sgml-tools, tetex-fonts,
tetex, tetex-afm, tetex-dvilj, tetex-dvips, tetex-latex, jadetex,
docbook-utils-pdf, w3c-libwww, tetex-xdvi, emacs, emacs-nox, emacs-X11, im,
audiofile-devel, autoconf, automake, binutils, bison, byacc, bzip2-devel,
cdecl, cproto, ctags, cvs, cyrus-sasl-devel, db1-devel, db2-devel,
db3-devel, db3-utils, dev86, diffstat, e2fsprogs-devel, expat-devel, flex,
freetype-devel, gd-devel, gdb, gdbm-devel, glib-devel, glibc-devel, gcc,
gcc-g77, gmp-devel, gpm-devel, indent, krb5-devel, libjpeg-devel,
libogg-devel, libpng-devel, libstdc++-devel, gcc-c++, libtermcap-devel,
libtiff-devel, libtool, libungif-devel, ltrace, memprof, Mesa-devel,
ncompress, ncurses-devel, netpbm-devel, njamd, openldap-devel, pam-devel,
patch, pmake, python-devel, rcs, readline-devel, rpm-build, rpm-devel,
slang-devel, newt-devel, strace, texinfo, vorbis-devel, Xaw3d-devel,
XFree86-devel, gtk+-devel, zlib-devel, arpwatch, bc, dump, efax, ical,
iproute, lsof, rsync, screen, shapecfg, stat, sudo, xpdf,
How Reproducible:


Steps to Reproduce:
1.
2.
3.

Actual Results:


Expected Results:


Additional Information:
Comment 1 Matt Wilson 2001-08-06 13:57:49 EDT
looks like bad media or bad cd-rom drive.  Where did you get your discs?  Check
all cable connections?  Any errors on Alt+F4 ?
Comment 2 Doug Oliver 2001-08-07 18:52:51 EDT
Discs came with a copy of a magazine called "Australian Computer Magazine", all
cable are connected correctly.

ALT+F4 reveals the following error-
<4>end_request: I/O error, dev 03:05 (hda), sector 105432
<4>hda: dma_intr: status=0x51 { DriveReady SeekComplete error }
<4>hda: dma_intr: error=0x40 { UncorrectableError }, LBAsect=206299, sector=105432

Looks like a bad sector on my HD. Is this correct, if so can I fix without O/S?

Thanks for your help
Comment 3 Matt Wilson 2001-08-09 15:40:24 EDT
try booting with "linux ide=nodma" at the boot: prompt.  If this fixes the
problem, send the output of:

for I in /proc/ide/hd*; do echo $I; cat $I/model; done

Comment 4 Brent Fox 2001-08-20 09:47:18 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.